<?php
/**
 * SEO Agency Lite: Block Patterns
 *
 * @package SEO Agency Lite
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'seo-agency-lite',
		array( 'label' => __( 'SEO Agency Lite', 'seo-agency-lite' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'seo-agency-lite/banner-section',
		array(
			'title'      => __( 'Banner Section', 'seo-agency-lite' ),
			'categories' => array( 'seo-agency-lite' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_theme_file_uri()) . "/images/banner.png\",\"id\":166,\"dimRatio\":0,\"isDark\":false,\"align\":\"full\",\"className\":\"seo-agency-lite-banner-section\"} -->\n<div class=\"wp-block-cover alignfull is-light seo-agency-lite-banner-section\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-166\" alt=\"\" src=\"" . esc_url(get_theme_file_uri()) . "/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"className\":\"px-5 mx-5\"} -->\n<div class=\"wp-block-columns px-5 mx-5\"><!-- wp:column {\"width\":\"50.9%\",\"className\":\"seo-agency-lite-banner-text-section\"} -->\n<div class=\"wp-block-column seo-agency-lite-banner-text-section\" style=\"flex-basis:50.9%\"><!-- wp:heading {\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"40px\"}},\"textColor\":\"white\"} -->\n<h1 class=\"has-white-color has-text-color\" style=\"font-size:40px\">Creative Challange Are Your Passion</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color\">lorem ips&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s,</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"background\":\"#1a73e8\"},\"border\":{\"radius\":\"8px\"}},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-button has-custom-font-size has-small-font-size\"><a class=\"wp-block-button__link has-background wp-element-button\" style=\"border-radius:8px;background-color:#1a73e8\">Get Started</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'seo-agency-lite/product-section',
		array(
			'title'      => __( 'About Section', 'seo-agency-lite' ),
			'categories' => array( 'seo-agency-lite' ),
			'content'    => "<!-- wp:group {\"className\":\"seo-agency-lite-about-section pt-5\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group seo-agency-lite-about-section pt-5\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"seo-agency-lite-about-image-section \"} -->\n<div class=\"wp-block-column is-vertically-aligned-center seo-agency-lite-about-image-section\"><!-- wp:image {\"id\":220,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_theme_file_uri()) . "/images/about-image.png\" alt=\"\" class=\"wp-image-220\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"className\":\"get-in-touch-button1\"} -->\n<p class=\"get-in-touch-button1\">Get In Touch</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"className\":\"get-in-touch-button\"} -->\n<p class=\"get-in-touch-button\">Get In Touch</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"seo-agency-lite-about-text-section  py-5\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center seo-agency-lite-about-text-section py-5\"><!-- wp:heading {\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"35px\"}}} -->\n<h1 style=\"font-size:35px\">Reasons For Choosing Us</h1>\n<!-- /wp:heading -->\n\n<!-- wp:heading {\"level\":3,\"style\":{\"color\":{\"text\":\"#1a73e8\"},\"typography\":{\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<h3 class=\"has-text-color\" style=\"color:#1a73e8;font-style:normal;font-weight:700\">We Lead From The Front</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph -->\n<p>lorem ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"className\":\"about-section-button\"} -->\n<div class=\"wp-block-buttons about-section-button\"><!-- wp:button {\"style\":{\"color\":{\"background\":\"#1a73e8\"},\"border\":{\"radius\":\"8px\"}},\"fontSize\":\"small\"} -->\n<div class=\"wp-block-button has-custom-font-size has-small-font-size\"><a class=\"wp-block-button__link has-background wp-element-button\" style=\"border-radius:8px;background-color:#1a73e8\">Get In Touch</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}