<?php
//about theme info
add_action( 'admin_menu', 'seo_agency_lite_gettingstarted' );
function seo_agency_lite_gettingstarted() {    	
	add_theme_page( esc_html__('Get Started', 'seo-agency-lite'), esc_html__('Get Started', 'seo-agency-lite'), 'edit_theme_options', 'seo_agency_lite_guide', 'seo_agency_lite_mostrar_guide');   
}

// Add a Custom CSS file to WP Admin Area
function seo_agency_lite_admin_theme_style() {
   wp_enqueue_style('seo-agency-lite-custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/dashboard/getstart.css');
   wp_enqueue_script('tabs', esc_url(get_theme_file_uri()) . '/inc/dashboard/js/tab.js');
}
add_action('admin_enqueue_scripts', 'seo_agency_lite_admin_theme_style');

//guidline for about theme
function seo_agency_lite_mostrar_guide() { 
	//custom function about theme customizer
	$return = add_query_arg( array()) ;
	$theme = wp_get_theme( 'seo-agency-lite' );
?>

<div class="wrapper-info">  
    <div class="tab-sec">
		<div class="tab">
			<div class="logo">
				<img role="img" src="<?php echo esc_url(get_theme_file_uri()); ?>/inc/dashboard/images/logo.png" alt="" />
			</div>
			<button role="tab" class="tablinks home" onclick="seo_agency_lite_openCity(event, 'tc_index')"><?php esc_html_e( 'Free Theme Information', 'seo-agency-lite' ); ?></button>
		  	<button role="tab" class="tablinks" onclick="seo_agency_lite_openCity(event, 'tc_pro')"><?php esc_html_e( 'Premium Theme Information', 'seo-agency-lite' ); ?></button>
		  	<button role="tab" class="tablinks" onclick="seo_agency_lite_openCity(event, 'tc_create')"><?php esc_html_e( 'Theme Support', 'seo-agency-lite' ); ?></button>				
		</div>

		<div  id="tc_index" class="tabcontent">
			<h2><?php esc_html_e( 'Welcome to Seo Agency Lite Theme', 'seo-agency-lite' ); ?> <span class="version">Version: <?php echo esc_html($theme['Version']);?></span></h2>
			<hr>
			<div class="info-link">
				<a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e('Customizing', 'seo-agency-lite'); ?></a>
				<a class="get-pro" href="<?php echo esc_url( SEO_AGENCY_LITE_BUY_NOW ); ?>" target="_blank"><?php esc_html_e('Get Pro', 'seo-agency-lite'); ?></a>
			</div>
			<div class="col-tc-6">
				<img role="img" src="<?php echo esc_url(get_theme_file_uri()); ?>/inc/dashboard/images/screenshot.png" alt="" />
			</div>
			<div class="col-tc-6">
				<P><?php esc_html_e( 'SEO Agency is a theme made ideally for digital marketing, marketing agency, online marketing, online marketing company, SEO, SEO agency, SEO business, social media agency, and SEO companies websites. The theme is Clean and user-friendly, so there is no need to worry about coding. As a modern digital marketer, you just need more than a theme. This is a completely stunning multipurpose theme. Attracts traffic with multiple features and responsive design. This SEO Agency theme is an optimized and powerful fast solution for your business. It is compatible with new and different plugins. Retina ready and social media integrated this theme has all. Why SEO Agency theme? Because The design of the theme is clean and beautiful, focusing on marketing services like SEO, website analysis, optimization, link building, etc. The custom pages have many content blocks, allowing you to create unique pages. The powerful Elementor drag-and-drop page builder and Header & Footer builder are amazing. And the best part is the smart one-click demo import tool. It has awesome inner pages, live demo import, a Woocommerce shop, Custom Coming 404 Page, the latest version, etc. The theme will optimize your website and will make rank your site higher as it is an SEO-friendly theme.', 'seo-agency-lite' ); ?></P>
			</div>
    	</div>

		<div id="tc_pro" class="tabcontent">
			<h3><?php esc_html_e( 'Seo Agency Lite Theme Information', 'seo-agency-lite' ); ?></h3>
			<hr>
			<div class="pro-image">
				<img role="img" src="<?php echo esc_url(get_theme_file_uri()); ?>/inc/dashboard/images/resize.png" alt="" />
			</div>
			<div class="info-link-pro">
				<p><a href="<?php echo esc_url( SEO_AGENCY_LITE_BUY_NOW ); ?>" target="_blank"> <?php esc_html_e( 'Buy Now', 'seo-agency-lite' ); ?></a></p>
				<p><a href="<?php echo esc_url( SEO_AGENCY_LITE_LIVE_DEMO ); ?>" target="_blank"> <?php esc_html_e( 'Live Demo', 'seo-agency-lite' ); ?></a></p>
				<p><a href="<?php echo esc_url( SEO_AGENCY_LITE_PRO_DOC ); ?>" target="_blank"> <?php esc_html_e( 'Pro Documentation', 'seo-agency-lite' ); ?></a></p>
			</div>
			<div class="col-pro-5">
				<h4><?php esc_html_e( 'seo agency lite Pro Theme', 'seo-agency-lite' ); ?></h4>
				<P><?php esc_html_e( 'This premium SEO agency WordPress theme is a digital and web agency-oriented theme. Perfectly made for agencies like content marketing, creative agency, digital agency, digital marketing, Advertising Agencies, and SMM experts. Users can also use it to promote their products and services online. The theme has a beautiful design that can be easily customized and personalized to create a competitive and stunning website. Our SEO agency WordPress theme has advanced features and functionalities that cater to the ever-growing needs of a digital business. This theme is well-suited to meet every possible requirement for this kind of digital business.The theme is optimized with fast speed and has responsive nature. The mobile responsive nature of this SEO agency WordPress theme is stunning. Users can easily operate their site with any screen size. Whether it be a desktop or tablet, it will work responsively. It boasts an advanced slider with multiple effects and also has control options to place any option you want on the homepage. You can choose from 100+ fonts and colours to make it look more lively, like a digital website should look. SEO agency WordPress theme has an enabled/disabled option for each section to keep the focus on a particular section.', 'seo-agency-lite' ); ?></P>		
			</div>
			<div class="col-pro-6">				
				<h4><?php esc_html_e( 'Theme Features', 'seo-agency-lite' ); ?></h4>
				<ul>
					<li><?php esc_html_e( 'Theme Options using Customizer API', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Responsive design', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Favicon, Logo, title and tagline customization', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Advanced Color options', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( '100+ Font Family Options', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Background Image Option', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Simple Menu Option', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Additional section for products', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Enable-Disable options on All sections', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Home Page setting for different sections', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Advance Slider with unlimited slides', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Partner Section', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Promotional Banner Section for Products', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Seperate Newsletter Section', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Text and call to action button for each slides', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Pagination option', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Custom CSS option', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Translations Ready', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Custom Backgrounds, Colors, Headers, Logo & Menu', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Customizable Home Page', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Full-Width Template', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Footer Widgets & Editor Style', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Banner & Post Type Plugin Functionality', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Woo Commerce Compatible', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Multiple Inner Page Templates', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Product Sliders', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Testimonial Slider', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Testimonial Posttype', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Testimonial Listing With Shortcode', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Contact page template', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Contact Widget', 'seo-agency-lite' ); ?></li>
					<li><?php esc_html_e( 'Advance Social Media Feature', 'seo-agency-lite' ); ?></li>
				</ul>				
			</div>
		</div>	

		<div id="tc_create" class="tabcontent">
			<h3><?php esc_html_e( 'Support', 'seo-agency-lite' ); ?></h3>
			<hr>
			<div class="tab-cont">
		  		<h4><?php esc_html_e( 'Need Support?', 'seo-agency-lite' ); ?></h4>				
				<div class="info-link-support">
					<P><?php esc_html_e( 'Our team is obliged to help you in every way possible whenever you face any type of difficulties and doubts.', 'seo-agency-lite' ); ?></P>
					<a href="<?php echo esc_url( SEO_AGENCY_LITE_SUPPORT ); ?>" target="_blank"> <?php esc_html_e( 'Support Forum', 'seo-agency-lite' ); ?></a>
				</div>
			</div>
			<div class="tab-cont">	
				<h4><?php esc_html_e('Reviews', 'seo-agency-lite'); ?></h4>				
				<div class="info-link-support">
					<P><?php esc_html_e( 'It is commendable to have such a theme inculcated with amazing features and robust functionalities. I feel grateful to recommend this theme to one and all.', 'seo-agency-lite' ); ?></P>
					<a href="<?php echo esc_url( SEO_AGENCY_LITE_REVIEW ); ?>" target="_blank"><?php esc_html_e('Reviews', 'seo-agency-lite'); ?></a>
				</div>
			</div>
		</div>
	</div>
</div>
<?php } ?>